petsc-3.7.7 2017-09-25
Report Typos and Errors

# PCJacobiGetType

Gets how the diagonal matrix is produced for the preconditioner

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCJacobiGetType(PC pc,PCJacobiType *type)

Not Collective on PC

### Input Parameter

pc -the preconditioner context

### Output Parameter

type -PC_JACOBI_DIAGONAL, PC_JACOBI_ROWMAX, PC_JACOBI_ROWSUM

### See Also

PCJacobiaUseAbs(), PCJacobiSetType()

Level:intermediate
Location:src/ksp/pc/impls/jacobi/jacobi.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages